import { TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE, TEMPLATE_COMESTIBLE } from "../common/_module.mjs";
import { STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelFaune extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      TEMPLATE_INVENTAIRE.fields(),
      TEMPLATE_COMESTIBLE.fields(),
      {
        categorie: new fields.StringField({ label: "Catégorie", initial: "", ...STRING }),
        actor: new fields.SchemaField({
          id: new fields.StringField({ initial: "", ...STRING }),
          pack: new fields.StringField({ initial: "", ...STRING }),
          name: new fields.StringField({ initial: "", ...STRING }),
        }),
      }
    )
  }
}
